org.richfaces.ui.menu.menu

## Class AbstractMenuContainer

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.ui.menu.menu.AbstractMenuContainer

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    AbstractContextMenu, AbstractDropDownMenu

      public abstract class AbstractMenuContainer
      extends javax.faces.component.UIComponentBase

  Author:
    Brian Leathem

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMenuContainer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Object` | `getCssRoot()`
    `abstract Positioning` | `getDirection()`
    `abstract int` | `getHideDelay()` Delay (in ms) between losing focus and menu closing
    `abstract int` | `getHorizontalOffset()`
    `abstract Positioning` | `getJointPoint()`
    `abstract Mode` | `getMode()` Sets the submission mode for all menu items of the menu except those where this attribute redefined.
    `abstract String` | `getOngrouphide()` The client-side script method to be called when a child menuGroup is hidden
    `abstract String` | `getOngroupshow()` The client-side script method to be called when a child menuGroup is expanded
    `abstract String` | `getOnhide()` The client-side script method to be called when this menu component is hidden
    `abstract String` | `getOnitemclick()` The client-side script method to be called when a menu item is clicked
    `abstract String` | `getOnshow()` The client-side script method to be called when this menu component is shown
    `abstract int` | `getPopupWidth()` Sets minimum width for all lists that will appear.
    `abstract int` | `getShowDelay()` Delay (in ms) between observing the showEvent and menu opening
    `abstract String` | `getShowEvent()` Defines an event on the parent element to display the menu
    `abstract int` | `getVerticalOffset()`
    `abstract boolean` | `isDisabled()` Disables the menu component, so it will not activate/expand

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMenuContainer

          public AbstractMenuContainer()

  - ### Method Detail

    - #### getShowEvent

          public abstract String getShowEvent()

      Defines an event on the parent element to display the menu

      Default value is 'oncontextmenu'

    - #### getMode

          public abstract Mode getMode()

      Sets the submission mode for all menu items of the menu except those where this attribute redefined. Possible value are 'ajax','client' and 'server'

      Default value is 'server'

    - #### isDisabled

          public abstract boolean isDisabled()

      Disables the menu component, so it will not activate/expand

    - #### getHideDelay

          public abstract int getHideDelay()

      Delay (in ms) between losing focus and menu closing

      Default value is "300"

    - #### getShowDelay

          public abstract int getShowDelay()

      Delay (in ms) between observing the showEvent and menu opening

      Default value is "50"

    - #### getPopupWidth

          public abstract int getPopupWidth()

      Sets minimum width for all lists that will appear.

    - #### getJointPoint

          public abstract Positioning getJointPoint()

    - #### getDirection

          public abstract Positioning getDirection()

    - #### getHorizontalOffset

          public abstract int getHorizontalOffset()

    - #### getVerticalOffset

          public abstract int getVerticalOffset()

    - #### getOngroupshow

          public abstract String getOngroupshow()

      The client-side script method to be called when a child menuGroup is expanded

    - #### getOngrouphide

          public abstract String getOngrouphide()

      The client-side script method to be called when a child menuGroup is hidden

    - #### getOnshow

          public abstract String getOnshow()

      The client-side script method to be called when this menu component is shown

    - #### getOnhide

          public abstract String getOnhide()

      The client-side script method to be called when this menu component is hidden

    - #### getOnitemclick

          public abstract String getOnitemclick()

      The client-side script method to be called when a menu item is clicked

    - #### getCssRoot

          public abstract Object getCssRoot()

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.